[ProtoContract][MessagePackObject]
public record class PingPong:WSGProtoBase
{
}
[ProtoContract][MessagePackObject]
public record class ChangeGateNotify:WSGProtoBase
{
[ProtoMember(1)][Key(1)] public  string Ip {get;init;}
[ProtoMember(2)][Key(2)] public  int Port {get;init;}
}
[ProtoContract][MessagePackObject]
public record class RandomNotify:WSGProtoBase
{
[ProtoMember(1)][Key(1)] public  string Random {get;init;}
}
[ProtoContract][MessagePackObject]
public record class AuthReq:WSGProtoBase
{
[ProtoMember(1)][Key(1)] public  long AccountId {get;init;}
[ProtoMember(2)][Key(2)] public  string Channel {get;init;}
[ProtoMember(3)][Key(3)] public  string AuthString {get;init;}
[ProtoMember(4)][Key(4)] public  string Token {get;init;}
[ProtoMember(5)][Key(5)] public  bool FirstAuth {get;init;}
[ProtoMember(6)][Key(6)] public  string Uid {get;init;}
[ProtoMember(7)][Key(7)] public  string ChannelUid {get;init;}
[ProtoMember(8)][Key(8)] public  string ProductId {get;init;}
[ProtoMember(9)][Key(9)] public  string ProtocolVersion {get;init;}
[ProtoMember(10)][Key(10)] public  string JsonVersion {get;init;}
[ProtoMember(11)][Key(11)] public  string BattleVersion {get;init;}
[ProtoMember(12)][Key(12)] public  string LoginOs {get;init;}
}
[ProtoContract][MessagePackObject]
public record class AuthResp:WSGProtoBase
{
[ProtoMember(1)][Key(1)] public  int ErrorCode {get;init;}
[ProtoMember(2)][Key(2)] public  long AccountId {get;init;}
[ProtoMember(3)][Key(3)] public  int Time {get;init;}
}
[ProtoContract][MessagePackObject]
public record class InOtherLocalLoginNotify:WSGProtoBase
{
}
[ProtoContract][MessagePackObject]
public record class PatchUpdateNotify:WSGProtoBase
{
[ProtoMember(1)][Key(1)] public  int Reason {get;init;}
}
[ProtoContract][MessagePackObject]
public record class ProtocolUpdateNotify:WSGProtoBase
{
}
[ProtoContract][MessagePackObject]
public record class SystemDataNotify:WSGProtoBase
{
[ProtoMember(1)][Key(1)] public  string SystemData {get;init;}
}
[ProtoContract][MessagePackObject]
public record class RealNameAuthReq:WSGProtoBase
{
[ProtoMember(1)][Key(1)] public  string Channel {get;init;}
[ProtoMember(2)][Key(2)] public  string Token {get;init;}
[ProtoMember(3)][Key(3)] public  string IdCard {get;init;}
[ProtoMember(4)][Key(4)] public  string Name {get;init;}
}
[ProtoContract][MessagePackObject]
public record class RealNameAuthResp:WSGProtoBase
{
[ProtoMember(1)][Key(1)] public  int ErrorCode {get;init;}
}
